<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/MyProfilePage.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/SystemArticle.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/MyLanguagesPane.inc.php" );
	
	require_once( $GLOBALS["site_root"] . "/includes/models/MyMember.inc.php" );
	
	class MyLanguagesPage extends DefaultFrontend {
		protected $oMyLanguagesPane;

		public function __construct( $id = "MyLanguagesPage" , $parent = null , $pagetype = "my_profile" ) {
			parent::__construct( $id , $parent , $pagetype );
			$mmm = new MyMemberModel();
			if ($mmm->isMemberLoggedin()) {
				$this->oMyLanguagesPane = new MyLanguagesPane( "content_widget" , $this );
			} else {
				$this->oMyLanguagesPane = new SystemArticle( "content_widget" , $this , "sys_error_user_has_to_login" );
			}
		}
	}

?>
